Subject: bug#47085: du: why does 'usage' show prefixes 'Z' or 'Y' if they are disallowed?

From: L A Walsh <[email-masked]>
Date: Thu, 11 Mar 2021 20:53:03 -0800

I thought to display 0 (or 0<magnitude>) for 1st arg by doing:

du -BY, as -B says I can list a unit for scaling, but for
-BY and -BZ I get:
du: -B argument 'Y' too large.

It doesn't even look to see how much space is used, it
immediately returns Y & Z are "too large".

Why are those suffixes listed as valid under the program 'usage'
and manpage, when they are automatically disallowed?

Also something I didn't see as being clear:
  I don't see where it says it will always round up to next higher
  unit (it may say it somewhere, I just don't see it and was
  surprised to see 'du -BT /tmp|hsort -s' show all objects as
  being 1.0T and for hsort to show a summary of ~148T
  (hsort sorts by human prefixes and has an optional '-s'
  switch that shows an additive sum of the sizes).